%define __kde4_alternate_placement 1
%add_findreq_skiplist %_K4exec/khc_*
%add_findreq_skiplist %_K4exec/kdeeject

%define rname kdebase-runtime
Name: kde4base-runtime
Version: 4.2.4
Release: alt2.M50.1

Group: Graphical desktop/KDE
Summary: K Desktop Environment - Runtime
License: GPLv2
Url: http://www.kde.org/


Provides: kde-icon-theme-oxygen = %version-%release
%ifdef __kde4_alternate_placement
%else
Obsoletes: kdebase-libs < %version-%release
%endif

Requires: %{get_dep kde4libs}
%ifnarch s390 s390x
Requires: eject
%endif
Requires: phonon-backend >= 4.2.0

Source0: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdebase-runtime-%version.tar
Source10: search-yandex.desktop
Source11: search-altbugzilla.desktop
# MDK
Patch200: kdebase-runtime-backport-4.3.0-rev937499.patch
# ALT
Patch1000: kdebase-runtime-4.0.1-alt-kdeeject-qdbus-path.patch
Patch1001: kdebase-runtime-4.2.4-alt-compiz.patch

BuildRequires(pre): kde4pimlibs-devel
#BuildRequires: libhal-devel
BuildRequires: gcc-c++ cmake bzlib-devel xml-utils
BuildRequires: libalsa-devel libclucene-devel libjpeg-devel libpcre-devel
BuildRequires: libqt4-devel libsmbclient-devel soprano libsoprano-devel libstrigi-devel
BuildRequires: libungif-devel libxine-devel libxkbfile-devel openexr-devel
BuildRequires: libpulseaudio-devel
BuildRequires: kde4libs-devel >= %version kde4pimlibs-devel >= %version

%description
Core runtime for the K Desktop Environment 4.

%prep
%setup -q -n %rname-%version
%patch200 -p0
%patch1000 -p1
%patch1001 -p1

install -m 0644 %SOURCE10 kurifilter-plugins/ikws/searchproviders/yandex.desktop
install -m 0644 %SOURCE11 kurifilter-plugins/ikws/searchproviders/altbugzilla.desktop

%ifdef __kde4_alternate_placement
cat >kde4 <<__EOF__
#!/bin/sh
#  Script for launching KDE4 applications from outside of the KDE4 desktop

PATH="%__kde4_bindir:\$PATH" exec "\$@"
__EOF__
%endif

%build
%K4build

%install
%K4install
mkdir -p %buildroot/%__kde4_doc/en/common

%ifdef __kde4_alternate_placement
mkdir -p %buildroot/%_K4bindir/
pushd %buildroot/%__kde4_bindir
for f in *4
do
    ln -sf `relative %buildroot/%__kde4_bindir/$f %buildroot/%_K4bindir/$f` %buildroot/%_K4bindir/$f
done
popd
ln -sf `relative %__kde4_bindir/kde4 %_K4bindir/kde4` %buildroot/%_K4bindir/kde4
%endif


%files
%_K4conf_bin/*
%_K4plug/phonon_platform/kde.so
#%_K4libdir/libkaudiodevicelist.so.*
%_K4libdir/libkwalletbackend.so.*
%dir %_K4apps/kcm_phonon/
%_K4apps/kcm_phonon/listview-background.png
%dir %_K4apps/libphonon/
%_K4apps/libphonon/hardwaredatabase
%dir %_K4apps/phonon/
%_K4apps/phonon/phonon.notifyrc
#
%_K4dbus_services/*
#
%config %__kde4_xdg_menu/*.menu
%__kde4_bindir/*
%ifdef __kde4_alternate_placement
%_K4bindir/*4
%endif
%attr(2711,root,nobody) %_K4exec/kdesud
%_K4exec/drkonqi
%_K4exec/kdeeject
%_K4exec/kdesu
%_K4exec/khc_*
%_K4exec/kioexec
%_K4exec/klocaldomainurifilterhelper
%_K4exec/knetattach
#%_K4libdir/*.so.*
%_K4libdir/libkdeinit4_*.so
%_K4libdir/strigi/*.so*
%_K4lib/*.so*
%_K4plug/styles/*.so*
%__kde4_xdg_dirs/*.directory
%_K4start/nepomukserver.desktop
%_K4apps/khelpcenter/
%_K4apps/nepomuk/*
%_K4apps/ksmserver/
%_K4apps/desktoptheme/
%_K4apps/nepomukstorage/
%_K4apps/nepomukstrigiservice/
%_K4cfg/*
%_K4conf/*
%_K4emo/kde4/
%ifdef __kde4_alternate_placement
%__kde4_iconsdir/hicolor/index.theme
%endif
%__kde4_iconsdir/hicolor/*/*/*
%_K4iconsdir/oxygen/*/*/*
#%_K4iconsdir/oxygen/*/*.png
%_K4iconsdir/oxygen/scalable/*.svg
%_K4iconsdir/oxygen/index.theme
%__kde4_xdg_apps/*
%_K4i18n/*
%_K4snd/*
%_K4srv/*
%_K4srvtyp/*
%_man1dir/*
%__kde4_doc/en/*
%exclude %__kde4_doc/en/common

%_K4apps/drkonqi/
%_K4apps/kcm_componentchooser/
%_K4apps/kcmlocale/
%_K4apps/kconf_update/
%_K4apps/kde/
%_K4apps/kio_*/
%_K4apps/konqueror/
%_K4apps/kstyle/themes/oxygen.themerc
%_K4apps/remoteview/

#files devel
%_K4apps/cmake/
%_K4dbus_interfaces/*

%changelog
* Mon Jul 13 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt2.M50.1
- built for M50

* Fri Jul 10 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt3
- add Yandex and ALT Linux bugzilla search providers

* Wed Jul 08 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt2
- fix to start compiz with kde4-window-decorator

* Mon Jun 22 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt0.M50.1
- built for M50

* Fri Jun 05 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.4-alt1
- new version

* Mon May 04 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.3-alt1
- new version

* Thu Apr 23 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt2
- add symlink kcmshell4 to /usr/bin

* Thu Apr 02 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.2-alt1
- new version

* Wed Mar 25 2009 Sergey V Turchin <zerg@altlinux.org> 4.2.1-alt2
- add patch to start nepomuk after plasma

* Mon Mar 02 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.1-alt1
- new version

* Thu Feb 26 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt3
- fix build requires
- add script kde4 to allow execute kde4 apps via it

* Thu Feb 19 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt2
- fix to don't require kdebase-libs

* Wed Jan 28 2009 Sergey V Turchin <zerg at altlinux dot org> 4.2.0-alt1
- new version

* Wed Jan 14 2009 Sergey V Turchin <zerg at altlinux dot org> 4.1.96-alt1
- new version
- remove deprecated macroses from specfile

* Thu Nov 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.3-alt1
- new version

* Thu Oct 09 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.2-alt1
- new version

* Mon Sep 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.1-alt1
- new version

* Wed Jul 30 2008 Sergey V Turchin <zerg at altlinux dot org> 4.1.0-alt1
- new version

* Wed May 28 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.80-alt1
- 4.1 beta1

* Tue May 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.72-alt1
- new version

* Tue Apr 01 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.3-alt1
- new version

* Tue Mar 11 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt2
- rebuilt with Qt4 buildkey change

* Thu Mar 06 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.2-alt1
- new version

* Wed Feb 27 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt2
- rebuilt with new openexr

* Fri Feb 15 2008 Sergey V Turchin <zerg at altlinux dot org> 4.0.1-alt1
- built for ALT

